function [znew,L]=pendmotion(z,a)

% Variáveis de entrada;
%
% z(1)=tempo;
% z(2)=theta;
% z(3)=delta theta;
% z(4)=posição x;
% z(5)=velocidade x;
%
% a = aceleraçào x;
%
% Saída é o próximo estado.
%

% Variação no tempo;
dt=0.1;
% Comprimento da barra;
L=0.5;

% Aproximação usando método de Euler;

znew(1,1)=z(1)+dt;
znew(2,1)=z(2)+dt*z(3);
znew(3,1)=z(3)+(dt/L)*(9.8*sin(pi*z(2)/180)-a*cos(pi*z(2)/180));
znew(4,1)=z(4)+dt*z(5);
znew(5,1)=z(5)+a*dt;
